# Change recurrence amount (/en/docs/cartao/endpoints/recurrences/put_charges_recurrences__recurrentPaymentId__amount)

## PUT /charges/recurrences/{recurrentPaymentId}/amount

`PUT https://api.payzu.io/v1/charges/recurrences/{recurrentPaymentId}/amount`

Updates the amount of the next charges of the recurrence. Cycles already generated are not affected.

### Path params

| Field | Type | Required | Details |
| --- | --- | --- | --- |
| `recurrentPaymentId` | string | yes | Recurrence id |

### Body params

| Field | Type | Required | Details |
| --- | --- | --- | --- |
| `amount` | number | yes | New amount of each cycle, in cents |

### Responses

**200** Successful request

| Field | Type | Required | Details |
| --- | --- | --- | --- |
| `recurrentPaymentId` | string | no | Recurrence identifier. Use it on the recurrence query and management endpoints |
| `interval` | string | no | Configured interval — `MONTHLY`, `ANNUAL` |
| `status` | string | no | Recurrence status. See [Recurring Payments](https://docs.payzu.com.br/docs/cartao/recurrence) — `ACTIVE`, `INACTIVE`, `ENDED` |
| `amount` | number | no | Amount of each cycle, in cents |
| `nextRecurrency` | string | no | Date of the next automatic charge |
| `endDate` | string | no | End date, if provided at creation |